> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List WhatsApp Flows

> Returns all WhatsApp Flows for the account.



## OpenAPI

````yaml /api-reference/voxys_whatsapp_swagger.json get /api/v1/accounts/{account_id}/whatsapp_flows
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: WhatsApp Templates
    description: Create, manage, and submit WhatsApp message templates to Meta
  - name: WhatsApp Flows
    description: Build and publish interactive WhatsApp Flows
paths:
  /api/v1/accounts/{account_id}/whatsapp_flows:
    get:
      tags:
        - WhatsApp Flows
      summary: List WhatsApp Flows
      description: Returns all WhatsApp Flows for the account.
      operationId: listWhatsappFlows
      responses:
        '200':
          description: Flows list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/whatsapp_flow'
        '401':
          $ref: '#/components/responses/unauthorized'
components:
  schemas:
    whatsapp_flow:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        status:
          type: string
          enum:
            - draft
            - published
            - deprecated
            - blocked
        endpoint_uri:
          type: string
        inbox_id:
          type: integer
        categories:
          type: array
          items:
            type: string
        meta_flow_id:
          type: string
        created_at:
          type: string
          format: date-time
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````